package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFLOL extends MwfRequest<MWFLOL, MWFLOLResponse> {

    @Parameter(name = "BusinessType")
    MWFLOL businessType(String businessType);
    @Parameter(name = "ClientAttornies")
    MWFLOL clientAttornies(java.util.List<MWFLOLClientAttornies> clientAttornies);
    @Parameter(name = "ClientConsents")
    MWFLOL clientConsents(java.util.List<MWFLOLClientConsents> clientConsents);
    @Parameter(name = "ClientInstId")
    MWFLOL clientInstId(String clientInstId);
    @Parameter(name = "ClientInstKey")
    MWFLOL clientInstKey(Long clientInstKey);
    @Parameter(name = "ClientInstSysId")
    MWFLOL clientInstSysId(String clientInstSysId);
    @Parameter(name = "ClientType")
    MWFLOL clientType(String clientType);
    @Parameter(name = "ClientUniKey")
    MWFLOL clientUniKey(Long clientUniKey);
    @Parameter(name = "ConsentBranchId")
    MWFLOL consentBranchId(String consentBranchId);
    @Parameter(name = "ConsentChannelId")
    MWFLOL consentChannelId(String consentChannelId);
    @Parameter(name = "ConsentEmployeeId")
    MWFLOL consentEmployeeId(String consentEmployeeId);
    @Parameter(name = "ConsentMode")
    MWFLOL consentMode(String consentMode);
    @Parameter(name = "ConsentPromoterId")
    MWFLOL consentPromoterId(String consentPromoterId);
    @Parameter(name = "ConsentSellerId")
    MWFLOL consentSellerId(Long consentSellerId);
    @Parameter(name = "ConsentSetId")
    MWFLOL consentSetId(String consentSetId);
    @Parameter(name = "ConsentSignTime")
    MWFLOL consentSignTime(java.util.Date consentSignTime);
}
